Platform = Object:extend()

function Platform:new()
	platform = {}
	listOfPlatforms = {}
	
	spawnTimerMax = 0.7
	spawnTimer = spawnTimerMax
	
	print "platform loaded"
end

function Platform:update(dt)
	spawnTimer = spawnTimer - 1 * dt
	if spawnTimer <= 0 then
		table.insert(listOfPlatforms, createPlatform())
		spawnTimer = spawnTimerMax
	end
		
	for i, p in ipairs(listOfPlatforms) do
		p.x = p.x - 100 * dt
		print "hello"
	end
end



function createPlatform()
	platform = 
		{
			x = love.window.getWidth(),
			y = love.math.random(0, love.window.getHeight()),
			width = 256,
			height = 16
		}
	return platform
end

function Platform:draw()
	for i, p in ipairs(listOfPlatforms) do
		love.graphics.rectangle("line", p.x, p.y, p.width, p.height)
	end
end
